using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PowerUpEffect : MonoBehaviour
{
    public string powerUpName;
    public string powerUpDesc;    
    public GameObject powerUpModel;

    protected GameEngine _currentGameEngine;
    public int dialogIndex;

    public virtual void OnPickUp()
    {
        ApplyEffect();
    }

    public virtual void ApplyEffect()
    {
    }
}
